routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});



Auth::routes();

// Route::get('/index','HomeController@index')->name('index');
// Route::get('/home', 'HomeController@home')->name('home');
Route::get('/dash','HomeController@dash')->name('dash');
Route::get('/logout','HomeController@logout')->name('logout');


Route::get('/register', function(){
	return redirect('/home');
});

Route::get('/register','RegisterController@create')->name('register');
Route::post('/register','RegisterController@store');

Route::get('/content','ContentController@create')->name('content.create');
Route::post('/content','ContentController@store')->name('content.store');

Route::get('/index','ContentController@index')->name('content.index');
// Route::post('/update/{id}',['uses'=>'ContentController@update','as'=>'content.update']);
Route::post('update/{id}',['as'=> 'content.update','uses'=>'ContentController@update']);


Route::post('/delete/{id}',['uses'=>'ContentController@destroy','as'=>'content.destroy']);

Route::get('edit/{id}',['as'=> 'content.edit','uses'=>'ContentController@edit']);
 


Route::group(['namespace'=>'Admin','prefix'=>'admin','middleware'=>['auth:web']],
function()
{
Route::get('/','UserTypeController@index')->name('index');

Route::resource('usertype','UserTypeController');

Route::get('/usertype','UserTypeController@index')->name('admin.usertype');
Route::post('/usertype','UserTypeController@store')->name('usertype.store');


Route::get('/','RoleController@index')->name('index');

Route::resource('role','RoleController');
Route::get('/role','RoleController@index')->name('admin.role');


Route::get('/','AlbumController@index')->name('index');
Route::resource('album','AlbumController');
Route::get('/album','AlbumController@index')->name('admin.album');
Route::get('/album/{id}',['as'=> 'album.show','uses'=>'AlbumController@show']);
Route::get('edit/{id}',['as'=> 'album.edit','uses'=>'AlbumController@edit']);

// Route::post('update/{id}',['as'=> 'album.update','uses'=>'AlbumController@update']);
Route::post('album/{id}',['as'=> 'album.destroy','uses'=>'AlbumController@destroy']);



Route::get('/','PhotoController@index')->name('index');
Route::resource('/photo','PhotoController');
Route::get('/photo/{id}','PhotoController@index')->name('admin.photo');

Route::post('/photo-store/{id}',['as'=>'photo.store','uses'=>'PhotoController@store']);

Route::get('/photo-gallery/{id}','PhotoController@gallery')->name('admin.photo.gallery');
Route::get('/photo/{id}','PhotoController@show')->name('back.photos.index');
Route::get('edit/{id}',['as'=> 'photo.edit','uses'=>'PhotoController@edit']);

// Route::post('update/{id}',['as'=> 'photo.update','uses'=>'PhotoController@update']);

Route::post('photo/{id}',['as'=> 'photo.destroy()','uses'=>'PhotoController@destroy']);

});

app/Role.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Role extends Model
{
	public $timestamps=false;
    protected $table='role';
    protected $fillable=['users','usertype'];

public function User(){
	return $this->hasOne('App\User','id','users');
}
public function UserType(){
	return $this->hasOne('App\UserType','id','usertype');
}
}

app/Http/Controllers/Admin/RoleController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Role;
use App\User;
use App\UserType;

class RoleController extends Controller
{
   public function index(){
   	$data=Role::paginate(6);
   	return view('back.role.index',compact('data'));
   }

   public function create(){
   	$data=Role::get();
      $users=User::get();
      $usertype=UserType::get();
   	//dd($data);
   	return view('back.role.create',compact('data','users','usertype'));
   }

   public function store(Request $request){

   	$message="Role create sucessfully";
   	$this->validate($request,[
   		'users'=>'required',
   		'usertype'=>'required'

   	]);
  	// dd($request->all(),$id);
   	Role::create([
   		'users'=>$request->users,
   		'usertype'=>$request->usertype

   	]);
   	return redirect()->route('admin.role')->with('status',$message);

   }
   public function edit($id){
   	$data=Role::findorFail($id);
   	$users=User::get();
   	$usertype=UserType::get();

   	return view('back.role.edit',compact('data','users','usertype'));
   }
   public function update(Request $request,$id){
   	$message="Role updated sucessfully";
   		$this->validate($request,[
   		'users'=>'required',
   		'usertype'=>'required'

   	]);

   		Role::find($id)->update([
		'users'=>$request->users,
   		'usertype'=>$request->usertype


   	]);
   		return redirect()->route('admin.role')->with('status',$message);
}

   		public function destroy(Request $request,$id){
   		$message="Role deleted sucessfully";
   			$data=Role::findorFail($id);
   			$data->delete();

   			return redirect()->route('admin.role')->with('status',$message);
   		}

   }

resources/views/back/role/create.blade.php
@extends('back.layout.master')
@section('content')

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
  <section class="content-header">
      <h1>
       Add Role
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Forms</a></li>
        <li class="active">General Elements</li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
       <div class="row">
      <div class="col-md-10">
          <!-- left column -->
          <div class="box box-primary">
              <form role="form" id="quickForm" method="post" action="{{route('role.store')}}">
                {{ csrf_field() }}
                <div class="box-body">
                  <div class="form-group">
                    <label for="users">User</label>
                    <SELECT name="users" class="form-control" required="">
                    <option value="0">Select User</option>
                    @foreach($users as $value)
                    <option value="{{$value->id}}">{{$value->name}}</option>
                    @endforeach
                    </SELECT>
                  </div>
                  <div class="form-group">
                    <label for="usertype">UserType</label>
                    <SELECT name="usertype" class="form-control" required="">
                    <option value="0">Select UserType</option>
                    @foreach($usertype as $value)
                    <option value="{{$value->id}}">{{$value->name}}</option>
                    @endforeach
                    </SELECT>
                  </div>
                </div>
              <div class="box-footer">
                <button type="submit" class="btn btn-primary">Submit</button>
              </div>
              </form>
            </div> 
   </div>
     
      </div>
    </section>
  
  </div>



@endsection

resources/views/back/role/edit.blade.php
  @extends('back.layout.master')
  @section('content')


  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
   <section class="content-header">
      <h1>
       Update Role
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Forms</a></li>
        <li class="active">General Elements</li>
      </ol>
    </section>
    <!-- Main content -->
    <section class="content">
     <div class="row">
       <div class="col-md-10">
       
        <div class="box box-primary">
              <form method="POST" action="{{route('role.update',$data->id)}}">
             {{ csrf_field() }}
              {{ method_field('PUT')}}
               <div class="box-body">
                   <div class="form-group">
                    <label for="users">User</label>
                    <SELECT name="users" class="form-control" required="">
                     <option value="0">Select User</option>
                    @foreach($users as $value)
                    <option value="{{$value->id}}" @if ( $value->id==$data->users) selected @endif >{{$value->name}}</option>
                    @endforeach
                  </SELECT>
                  </div>

                    <div class="form-group">
                    <label for="usertype">UserType</label>
                    <SELECT name="usertype" class="form-control" required="">
                     <option value="0">Select UserType</option>
                    @foreach($usertype as $value)
                  <option value="{{$value->id}}" @if($value->id==$data->usertype) selected @endif> {{$value->name}}</option>
                    @endforeach
                  </SELECT>
                  </div>
        </div>
               <div class="box-footer">
                <button type="submit" class="btn btn-primary">Submit</button>
              </div>  
           </form>
              
          
       
            </div>
       
        </div>
      

    </section>
 
  </div>
           
               
             
              

              
             


 
  @endsection

resources/views/back/role/index.blade.php
@extends('back.layout.master')
@section('content')

 <div class="content-wrapper">
    <!-- Content Header (Page header) -->
   <section class="content-header">
      <h1>
        Data Tables
        <small>advanced tables</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Tables</a></li>
        <li class="active">Data tables</li>
      </ol>
    </section>

    <!-- Main content -->
    

           <div class="box-body">
              <table id="example2" class="table table-bordered table-hover">
                <thead>
                <tr>
                <th>Id</th>
                <th>Users</th>
                <th>UserType</th>
                <th>Action</th>
                </tr>
                </thead>
                <tbody>
                @foreach($data  as $key=>$d)
  		        <tr>
                  <td scope="row">{{$data->firstItem()+$key}}</td>
                  <td>{{$d->User['name']}}</td>
                  <td>{{$d->Usertype['name']}}</td>
                
                  <td>
                  	<a href="{{route('role.edit',$d->id)}}" class="btn btn-secondary"><i class="fa fa-cogs"></i>Edit</a>
                     <a class="btn btn-secondary" style="border-color: none;">
                  	<form action="{{route('role.destroy',$d->id)}}" method="POST" class="d-inline">

                  		{{ csrf_field() }}
                      {{method_field('delete')}}
                  	
                  	<button class="btn btn-secondary"><i class="fa fa-trash">Delete</i></button>
                  	</form></a>
                  </td>
                </tr>
              
                @endforeach
              </tbody>
               
              </table>
          
    </div>

            </div>
            <!-- /.card-body -->
   

@endsection